List Issue Links (By Issue ID)

Retrieves links between this issue and other issues

Request

GET

https://api.sourcecraft.tech/issues/id:{issue_id}/issue_links

Path parameters

Name

Description

issue_id

Type: string

Example: ``

Query parameters

Name

Description

page_size

Type: string<uint64>

The maximum number of issues to return. The service may return fewer than
this value

Example: ``

page_token

Type: string

A page token, received from a previous call.
Provide this to retrieve the subsequent page.

When paginating, all other parameters must match
the call that provided the page token.

Example: ``

sort_by

Type: string

Ordering options: comma separated list of fields. For example: "name, created_at"
Default sorting order is ascending. To specify descending order for a field,
append a "-" prefix; for example: "name, -created_at"
Redundant space characters in the syntax are insignificant. "foo, -bar", " foo , -bar", and "foo,bar"
are all equivalent.

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "links": [
    {
      "id": "example",
      "source": {
        "id": "example",
        "slug": "example"
      },
      "target": null,
      "link_type": "related_to",
      "author": {
        "id": "example",
        "slug": "example"
      },
      "updated_by": null,
      "created_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z"
    }
  ],
  "next_page_token": "example"
}

Name

Description

links

Type: IssueLink[]

Example
[
  {
    "id": "example",
    "source": {
      "id": "example",
      "slug": "example"
    },
    "target": null,
    "link_type": "related_to",
    "author": {
      "id": "example",
      "slug": "example"
    },
    "updated_by": null,
    "created_at": "2025-01-01T00:00:00Z",
    "updated_at": "2025-01-01T00:00:00Z"
  }
]

next_page_token

Type: string

Example: example

IssueEmbedded

Name

Description

id

Type: string

Example: example

slug

Type: string

Example: example

Example
{
  "id": "example",
  "slug": "example"
}

IssueLink.LinkType

Type: string

Enum: related_to, parent_of, subissue_of, blocks, blocked_by, duplicates, duplicated_by

Name

Description

author

Type: UserEmbedded

Example
{
  "id": "example",
  "slug": "example"
}

created_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

id

Type: string

Example: example

link_type

Type: IssueLink.LinkType

Enum: related_to, parent_of, subissue_of, blocks, blocked_by, duplicates, duplicated_by

source

Type: IssueEmbedded

Example
{
  "id": "example",
  "slug": "example"
}

target

Type: IssueEmbedded

Example
{
  "id": "example",
  "slug": "example"
}

updated_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

updated_by

Type: UserEmbedded

Example
{
  "id": "example",
  "slug": "example"
}
Example
{
  "id": "example",
  "source": {
    "id": "example",
    "slug": "example"
  },
  "target": null,
  "link_type": "related_to",
  "author": {
    "id": "example",
    "slug": "example"
  },
  "updated_by": null,
  "created_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-01T00:00:00Z"
}

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": {}
}

Name

Description

details

Type: Optional details. Exact structure depends on error_code

[additional]

Type: string

Example: example

Example
{}

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example